Feature request #2432

authentication method 7 not supported

Added by pungami - over 10 years ago. Updated about 10 years ago.

Status:Closed
Priority:Low
Assignee:nobody -
Category:Data Provider
Pull Request or Patch supplied: Resolution:invalid
Easy fix?:No Copied to github as #:12492

Description

Cannot connect (add new PostGIS layer) to gss-api configured ("single-sign-on") PostgreSQL server.
"Connection failed - Check settings and try again.
Extended error information: authentication method 7 not supported"

Connection is successful using 'psql' on the same pc.

Connection is successful on a Linux box using Qgis 1.3 to the same PostgreSQL server.

History

#1 Updated by pungami - over 10 years ago

libpq.dll (and libeay32.dll and ssleay32.dll) can be replaced with newer version as a workaround - works for me (qgis 1.5 together with the replaced dll-s from PostgreSQL 8.3 win install)!

#2 Updated by luca76 - about 10 years ago

  • Resolution set to invalid
  • Status changed from Open to Closed

I think that this is not QGIS fault.

So I'm closing this bug.

Also available in: Atom PDF